# MOSpace

class `psi4.core.``MOSpace`

  Bases: `pybind11_builtins.pybind11_object`

  Defines orbital spaces in which to transform integrals

  Methods Summary

  `aIndex`(self) | Get the alpha orbital indexing array
  `aOrbs`(self) | Get the alpha orbitals
  `all`() |
  `bIndex`(self) | Get the beta orbital indexing array
  `bOrbs`(self) | Get the beta orbitals
  `dum`() |
  `fzc`() |
  `fzv`() |
  `label`(self) | Get the unique identifier for this space
  `nil`() |
  `occ`() |
  `vir`() |

  Methods Documentation

  `aIndex`(self: psi4.core.MOSpace) → List[int]

    Get the alpha orbital indexing array

  `aOrbs`(self: psi4.core.MOSpace) → List[int]

    Get the alpha orbitals

  `all`() → psi4.core.MOSpace
  `bIndex`(self: psi4.core.MOSpace) → List[int]

    Get the beta orbital indexing array

  `bOrbs`(self: psi4.core.MOSpace) → List[int]

    Get the beta orbitals

  `dum`() → psi4.core.MOSpace
  `fzc`() → psi4.core.MOSpace
  `fzv`() → psi4.core.MOSpace
  `label`(self: psi4.core.MOSpace) → str

    Get the unique identifier for this space

  `nil`() → psi4.core.MOSpace
  `occ`() → psi4.core.MOSpace
  `vir`() → psi4.core.MOSpace
  `aIndex`(self: psi4.core.MOSpace) → List[int]

    Get the alpha orbital indexing array

  `aOrbs`(self: psi4.core.MOSpace) → List[int]

    Get the alpha orbitals

  `all`() → psi4.core.MOSpace
  `bIndex`(self: psi4.core.MOSpace) → List[int]

    Get the beta orbital indexing array

  `bOrbs`(self: psi4.core.MOSpace) → List[int]

    Get the beta orbitals

  `dum`() → psi4.core.MOSpace
  `fzc`() → psi4.core.MOSpace
  `fzv`() → psi4.core.MOSpace
  `label`(self: psi4.core.MOSpace) → str

    Get the unique identifier for this space

  `nil`() → psi4.core.MOSpace
  `occ`() → psi4.core.MOSpace
  `vir`() → psi4.core.MOSpace